play.server

## Class FileService

- java.lang.Object
- - play.server.FileService

-     public class FileService
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileService.ByteRangeInput`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileService()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.netty.handler.stream.ChunkedInput` | `getChunckedInput(java.io.RandomAccessFile raf, java.lang.String contentType, org.jboss.netty.channel.Channel channel, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest, org.jboss.netty.handler.codec.http.HttpResponse nettyResponse)`
    `static void` | `serve(java.io.File localFile, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest, org.jboss.netty.handler.codec.http.HttpResponse nettyResponse, org.jboss.netty.channel.ChannelHandlerContext ctx, Http.Request request, Http.Response response, org.jboss.netty.channel.Channel channel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileService

          public FileService()

  - ### Method Detail

    - #### serve

          public static void serve(java.io.File localFile,
                                   org.jboss.netty.handler.codec.http.HttpRequest nettyRequest,
                                   org.jboss.netty.handler.codec.http.HttpResponse nettyResponse,
                                   org.jboss.netty.channel.ChannelHandlerContext ctx,
                                   Http.Request request,
                                   Http.Response response,
                                   org.jboss.netty.channel.Channel channel)
                            throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### getChunckedInput

          public static org.jboss.netty.handler.stream.ChunkedInput getChunckedInput(java.io.RandomAccessFile raf,
                                                                                     java.lang.String contentType,
                                                                                     org.jboss.netty.channel.Channel channel,
                                                                                     org.jboss.netty.handler.codec.http.HttpRequest nettyRequest,
                                                                                     org.jboss.netty.handler.codec.http.HttpResponse nettyResponse)
                                                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly